

#include <windows.h>
#include <stdio.h>


typedef int bool;
typedef bool WINAPI (*pInitHW)(char *name, char *model,int *type);
pInitHW InitHW;

int WINAPI WinMain (HINSTANCE hInstance, HINSTANCE hPrevInstance,
                    PSTR szCmdLine, int iCmdShow)
{
(void)hInstance;
(void)hPrevInstance;
(void)szCmdLine;
(void)iCmdShow;
char extio_name[1024], extio_model[1024];
int type, err;
HANDLE exhand;
printf("\nstarting");
//exhand=LoadLibrary("ExtIO_perseus.dll");
exhand=LoadLibrary("ExtIO_sdr14.dll");
printf("\nhandle=%d",(int)exhand);  //output=5111808
if(exhand == NULL)exit(0);
InitHW = (pInitHW) GetProcAddress(exhand, "InitHW");
printf("\nInitHW=%d",(int)InitHW);  //output=5136624
// This call to InitHW causes a crash with sdr14. (Perseus is OK.)
err=InitHW(extio_name, extio_model, &type);
printf("\nerr=%d  %s  %s  %d",err,extio_name, extio_model, type);
return 0;
}


